<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.0

Copyright (C) 2006-2014  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

/***************************************************************/
/* Récupération titre pièce rattachée sur planning (choix RDV) */
/***************************************************************/

session_start();
sleep(1);
if (array_key_exists("rdv", $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?rdv=un-id-RDV";
}

function print_plain()
{
    header("Content-type: text/html; charset=UTF-8");
    $titre = get_rattitre(intval($_REQUEST["rdv"]));
    print $titre;
}

/**
 * Renvoie le titre d'un rattachement
 *
 * @param $idrdv
 *
 * @return string
 */
function get_rattitre($idrdv)
{
    require_once("../lib/gettext/gettext.inc");
    include_once("../inc/config.inc.php");
    include_once("../classes/ezSQL/shared/ez_sql_core.php");
    include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
    include_once("../inc/func_sql.inc.php");

    $result = "";
    // On se connecte a la base
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
    $rech = "SELECT rdv_typrat, rdv_coderat FROM `" . TBRDV . "` WHERE rdv_id='" . $idrdv . "'";
    $row = $db->get_row($rech, ARRAY_A);
    if ($row) {
        switch (intval($row["rdv_typrat"])) {
            case 1 :
                $result = _("INTERVENTION")." " . $row["rdv_coderat"];
                break;
            default :
                break;
        }
    }
    $db->disconnect();
    return $result;
}

?>